#include <cdevPlatforms.h>
#include <cdevSystem.h>
#include <cdevRequestObject.h>
#include <cdevDevice.h>


int main ( )
	{
	cdevRequestObject & setReq = cdevRequestObject::attachRef("device0", "set attrib1");
	cdevData data;
	
	data.insert("value", 1);
	
	setReq.send(data, NULL);
	
	fprintf(stdout, "Enter a character after you stop and restart the server\n");
	getc(stdin);
	
	setReq.send(data, NULL);
	return 0;
	}
